cdac.medinfo.sdk.hl7282.baselibs

## Class EI

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.EI

- All Implemented Interfaces:
    IDataType

      public class EI
      extends CompositeDataType

  EI - Entity Identifier

  The EI entity identifier defines a given entity within a specified series of identifiers.

  Represents an HL7 EI data type. This data type has the following attributes:

  1. Entity Identifier (ST)Optional
  2. Namespace ID (IS)Optional
  3. Universal ID (ST)Conditional
  4. Universal ID Type (ID)Conditional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EI()` Default Constructor for EI
    `EI(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for EI class which takes two arguments and sets the value in the respective member variable.
    `EI(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for EI class which takes five arguments and sets the value in the respective member variable.
    `EI(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for EI class which takes six arguments and sets the value in the respective member variable.
    `EI(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `EI(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for EI class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(IDataType objDataType)` The method checks for the equality with other EI DataType.
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ST` | `getEntityIdentifier()` Returns Entity Identifier.
    `IS` | `getNamespaceId()` Returns Namespace Id.
    `ST` | `getUniversalId()` Returns Universal Id.
    `ID` | `getUniversalIdType()` Returns Universal Id Type.
    `void` | `setEntityIdentifier(ST objST)` Sets the EntityIdentifier.
    `void` | `setEntityIdentifier(java.lang.String strEntityIdentifier)` Sets the EntityIdentifier.
    `void` | `setNamespaceId(IS objIS)` Sets the NamespaceId.
    `void` | `setNamespaceId(java.lang.String strNamespaceId)` Sets the NamespaceId.
    `void` | `setUniversalId(ST objST)` Sets the UniversalId.
    `void` | `setUniversalId(java.lang.String strUniversalId)` Sets the UniversalId.
    `void` | `setUniversalIdType(ID objID)` Sets the UniversalIdType.
    `void` | `setUniversalIdType(java.lang.String strUniversalIdType)` Sets the UniversalIdType.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EI

          public EI()

      Default Constructor for EI

    - #### EI

          public EI(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EI

          public EI(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for EI class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EI

          public EI(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for EI class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EI

          public EI(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for EI class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EI

          public EI(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for EI class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setEntityIdentifier

          public void setEntityIdentifier(java.lang.String strEntityIdentifier)

      Sets the EntityIdentifier.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator

    - #### setEntityIdentifier

          public void setEntityIdentifier(ST objST)

      Sets the EntityIdentifier.
      Parameters:
        `objST` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator

    - #### setNamespaceId

          public void setNamespaceId(java.lang.String strNamespaceId)

      Sets the NamespaceId.
      Parameters:
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.

    - #### setNamespaceId

          public void setNamespaceId(IS objIS)

      Sets the NamespaceId.
      Parameters:
        `objIS` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.

    - #### setUniversalId

          public void setUniversalId(java.lang.String strUniversalId)

      Sets the UniversalId.
      Parameters:
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.

    - #### setUniversalId

          public void setUniversalId(ST objST)

      Sets the UniversalId.
      Parameters:
        `objST` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.

    - #### setUniversalIdType

          public void setUniversalIdType(java.lang.String strUniversalIdType)

      Sets the UniversalIdType.
      Parameters:
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setUniversalIdType

          public void setUniversalIdType(ID objID)

      Sets the UniversalIdType.
      Parameters:
        `objID` - Governs the interpretation of the Universal ID.

    - #### getEntityIdentifier

          public ST getEntityIdentifier()

      Returns Entity Identifier.
      Returns:
        ST - data type.

    - #### getNamespaceId

          public IS getNamespaceId()

      Returns Namespace Id.
      Returns:
        IS - data type.

    - #### getUniversalId

          public ST getUniversalId()

      Returns Universal Id.
      Returns:
        ST - data type.

    - #### getUniversalIdType

          public ID getUniversalIdType()

      Returns Universal Id Type.
      Returns:
        ID - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(IDataType objDataType)

      The method checks for the equality with other EI DataType.
      Parameters:
        `objDataType` - conatains object of another DataType to be checked for equality.
      Returns:
        boolean [true/false]

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.